AuSoundCreateBucketFromData(3)

Name
AuSoundCreateBucketFromData - create a bucket and initialize its contents.

Synopsis
#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuBucketID AuSoundCreateBucketFromData(server, sound, data, access, attributes, status)
    AuServer *server;
    Sound sound;
    AuPointer data;
    AuUint32 access;
    AuBucketAttributes **attributes; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

sound
    Specifies the audio data description.

data
    Specifies the audio data for the bucket.

access
    Specifies the access restrictions the bucket should have.

attributes
    If non-NULL, returns the attributes of the created bucket.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSoundCreateBucketFromData creates a bucket, initializing the contents with the audio data from data, and returns the bucket ID or AuNone if there was error.

Errors
AuBadValue, AuBadLength, AuBadAlloc.

See Also
AuSoundCreateBucketFromFile.

audiolib - Network Audio System C Language Interface